package cz.senslog.analytics.domain;

public enum ComparisonOperator {

    LT  ("<"),
    LE  ("<="),
    GE  (">="),
    GT  (">"),
    NE  ("!="),
    EQ  ("=")

    ;
    private final String format;

    ComparisonOperator(String format) {
        this.format = format;
    }

    public String format() {
        return format;
    }

    public static ComparisonOperator of(String mode) {
        return valueOf(mode.toUpperCase());
    } 

}
